stages:
    - ecriture
    - lecture
job creation du fichier :
    stage: ecriture
    image : alpine:latest
    script :
        - echo "creation du fichier" 
        - ls -la
        - mkdir dist
        - echo "Hello " > dist/bonjour.txt
        - ls -la
        - ls -la dist/
        - echo "fin creation du fichier"
    artifacts: 
        paths: 
            - dist/
job lire le fichier : 
    stage:  lecture
    image : alpine:latest
    script: 
        - echo " lecture du fichier"
        - ls -la 
        - cat dist/bonjour.txt
        